spoonity logo
    • API
    • Documentation
    • Support
    • Getting Started

      • Introduction
      • Authentication
      • Handling Errors
      • Webhooks
    • Workflows

      • Placing an order
      • Retrieving a list of checked-in users
      • Registering an account
      • Working with user profiles
      • Reloading an account
    • Resources

      • Billing Profile
      • Card
      • Content
      • Country & Region
      • EGift
      • OnScreen
      • Order
      • User
      • Balances & Rewards
      • Transaction History
      • Inbox
      • Spending Rules
    • Sign in

    Audit Log

    The platform will automatically log key events for security and tracing purposes. These logs will contain a brief description of the event, the core actor(s), the date and time of the event, and other key details.

    The audit log model

    The audit log model contains the key details of the event and actor(s).

    Properties

    • Name
      id
      Type
      string
      Description

      Unique identifier for the log entry.

    • Name
      user_token
      Type
      object
      Description

      Information about the user who authorized the action.

    • Name
      api_key
      Type
      object
      Description

      Information about the API key that authorized the action.

    • Name
      message
      Type
      string
      Description

      A human-readable summary of the action taken by the actor(s).

    • Name
      date_created
      Type
      string
      Description

      Timestamp of the action.

    • Name
      data
      Type
      object
      Description

      Supplemental context for the action.


    GET/audit-logs

    List all audit logs

    This endpoint allows you to retrieve a paginated list of your logs. By default, this will include the 25 most recent logs, starting with the most recent.

    Optional attributes

    • Name
      limit
      Type
      integer
      Description

      The maximum number of log entries to include in the response.

    • Name
      page
      Type
      integer
      Description

      An offset to determine which groups of results to return.

    • Name
      query
      Type
      string
      Description

      A search string which can be used to filter results by various criteria (see below).

    Filter attributes

    These attributes can be used to filter the result set returned by the API. They are included as a space-delimited string of key:value pairs.

    • Name
      u
      Type
      string
      Description

      Identifier for the user authenticating the action.

    • Name
      k
      Type
      string
      Description

      Identifier for the API key authenticating the action.

    • Name
      m
      Type
      string
      Description

      Keyword search of the message content of the log.

    Request

    GET
    /audit-logs
    curl -G https://api.spoonity.com/audit-logs \
      -H "Authorization: Bearer {token}" \
      -d limit=25
    

    Response

    {
      "items": [
        {
            "id": "logs_4cd1e52c4445",
            "user_token": {},
            "api_key": {},
            "message": "John Smith invited Jane Smith to join this workspace",
            "date_created": "2026-02-02T13:48:05.683Z",
            "data": {
                "event": "user.invite",
                "authenticated_as": "user",
                "actor": {
                    "id": "user_10f7b7c6d792",
                    "name": "John Smith",
                    "role": "ADMIN",
                    "date_created": "2024-01-27T09:23:58.375Z",
                    "status": "ACTIVE"
                },
            }
        }
      ],
      "next": "https://api.spoonity.com/audit-logs?limit=25&page=2",
      "prev": null
    }
    

    Was this page helpful?

    PreviousSpending Rules
    NextCampaign

    © Copyright 2026 Spoonity, Inc. All rights reserved.